#
# spec file for package perl-Gtk2-TrayIcon
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Gtk2-TrayIcon
Version:        0.06
Release:        4.1
Summary:        Perl interface to the EggTrayIcon library
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Gtk2-TrayIcon
Source:         http://search.cpan.org/CPAN/authors/id/B/BO/BORUP/Gtk2-TrayIcon-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  gtk2-devel
#BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2) >= 0.96
Requires:       perl(Gtk2) >= 0.96
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module allows a Perl developer to embed an arbitrary widget in a System
Tray like the Gnome notification area.

%prep
%setup -q -n "Gtk2-TrayIcon-%{version}"
sed -i '/^auto_install/d' Makefile.PL

%build
perl Makefile.PL PREFIX="%{_prefix}"
make %{?_smp_mflags}

%install
%perl_make_install

rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/TrayIcon/Install"

%perl_process_packlist

%check
make %{?_smp_mflags} test

%files
%defattr(-,root,root)
%doc TODO README
%dir %{perl_vendorarch}/Gtk2
%{perl_vendorarch}/Gtk2/TrayIcon.pm
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/TrayIcon
%doc %{perl_man3dir}/Gtk2::TrayIcon.%{perl_man3ext}%{ext_man}

%changelog
* Thu Jan 19 2017 aloisio@gmx.com
- Spec cleanup
* Tue Mar 15 2011 pascal.bleser@opensuse.org
- initial version (0.06)
